Subject: Re: bug#21284: 25.0.50; `completion-file-name-table' should/not use `nreverse'?

From: Keith David Bershatsky <[email-masked]>
Date: Mon, 06 Jun 2016 09:19:07 -0700

I am on OS X and the default sort order is alphabetic, which gets reversed by `completion-file-name-table` because it uses `nreverse'.

Keith

At Mon, 06 Jun 2016 17:43:04 +0300,
Eli Zaretskii wrote:
> 
> . . .
> 
> I suspect that there's a hidden factor here: the order in which the
> 'readdir' libc function returns the directory entries.  On GNU/Linux,
> the order is arbitrary (AFAIK, it's the order of the entries in the
> directory file).  On MS-Windows, the order is alphabetic, so reversing
> will produce the reverse alphabetic order.  I don't know what happens
> on OS X.